@component('panel.layouts.component', ['title' => 'ویرایش دسته جدید'])

    @slot('style')
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ویرایش دسته بندی </h1>

    @endslot

    @slot('breadcrumb')
        <a href="{{ route('attributes.index') }}" ><li class="breadcrumb-item">&nbsp;ویژگی های محصول&nbsp;</li></a>
        <li class="breadcrumb-item">/  ویرایش ویژگی  </li>
        <li class="breadcrumb-item">{{ $attribute->title}}  &nbsp; </li>
    @endslot
    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class=" py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-12 col-md-12 mx-auto">
                        <div class="card">
                            <div class="card-header">
                                <strong>{{ __('ثبت محصول جدید') }}</strong>
                            </div>
                            @component('product::components.message')
                            @endcomponent
                            <div class="card-body mx-lg-6 px-lg-4">
                                <form method="POST" action="{{ route('attributes.update', $attribute->id) }}" enctype="multipart/form-data" >
                                    @csrf
                                    @if ($attribute)
                                        @method('PUT')
                                    @endif
                                    <div class="form-group">
                                        <label for="title">{{ __('attribute.title') }}</label><i class="required">&nbsp; *</i>
                                        <input id="title" type="text" class="form-control @error('title') is-invalid @enderror" name="title" value="{{ $attribute->title}}" autocomplete="title" autofocus>
                                        @error('title')
                                        <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                        @enderror
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-lg-6">
                                            <label for="key">{{ __('attribute.key') }}</label>
                                            <input type="text" name="key" class="form-control @error('key') is-invalid  @enderror" value="{{$attribute->key}}" autocomplete="key" autofocus>
                                            @error('key')
                                            <div class="alert alert-danger">{{$message}}</div>
                                            @enderror
                                        </div>


                                        <div class="form-group col-lg-6">
                                            <label for="use_in_veriation">{{ __('attribute.use_in_veriation') }}</label>
                                            <select id="use_in_veriation" type="text" class="form-control @error('use_in_veriation') is-invalid @enderror" name="use_in_veriation" value="{{ $attribute->use_in_veriation}}" autocomplete="use_in_veriation">
                                                <option value="0" >خیر</option>
                                                <option value="1" @if ($attribute->use_in_veriation === 'بله')  selected='selected' @endif>بله</option>

                                            </select>
                                            @error('use_in_veriation')
                                            <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary" >
                                                {{ __('ثبت محصول') }}
                                            </button>
                                            <a href="{{ route('attributes.index') }}" type="button" class="btn btn-warning" > انصراف</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot
    @slot('script')

    @endslot

@endcomponent

