@component('panel.layouts.component', ['title' => 'ثبت محصول ساده'])

    @slot('style')

    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول ساده </h1>
        <p>ثبت محصول ساده در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-12 col-md-12 mx-auto">

                        <div class="card">
                            <div class="card-header">
                                <strong>{{ __('ویرایش محصول ساده') }}</strong>&nbsp;<i class="required">{{$product->id}}</i>
                            </div>

                            <div class="card-body mx-lg-6 px-lg-4">
                                @component('product::components.message')
                                @endcomponent
                                <form method="POST" action="{{ route('saveProductStepThree') }}" enctype="multipart/form-data" >
                                    @csrf
                                    <input type="hidden" value="{{$product->id}}" name="product_id">
                                    <div class="form-group">
                                        <label for="title">{{ __('product.title') }}</label><i class="required">&nbsp;*</i>
                                        <input id="title" type="text"class="form-control @error('title') is-invalid @enderror"name="title" value="{{$product->title}}" autocomplete="title" autofocus>
                                        @error('title')
                                        <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="form-row ">
                                        <div class="form-group col-lg-6">
                                            <label for="slug">  {{ __('product.slug') }}</label>
                                            <input id="slug" type="text" class="form-control @error('slug') is-invalid @enderror" name="slug"  value="{{$product->slug}}" autocomplete="slug" autofocus>
                                            @error('slug')
                                                 <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-6">
                                            <label for="ReleaseStatus">{{ __('product.ReleaseStatus') }}</label><i
                                                class="required"> *</i>
                                            <select id="ReleaseStatus" type="text"
                                                    class="form-control @error('ReleaseStatus') is-invalid @enderror"
                                                    name="ReleaseStatus" autocomplete="ReleaseStatus">
                                                <option value="draft"
                                                        @if($product->ReleaseStatus==='پیشنویس') selected='selected' @endif>
                                                    پیشنویس
                                                </option>
                                                <option value="pending"
                                                        @if($product->ReleaseStatus==='در انتظار انتشار') selected='selected' @endif>
                                                    در انتظار انتشار
                                                </option>
                                                <option value="published"
                                                        @if($product->ReleaseStatus==='منتشر شده') selected='selected' @endif>
                                                    منتشر شده
                                                </option>
                                            </select>
                                            @error('ReleaseStatus')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>

                                        <div class="form-group">
                                            <label for="discription">{{ __('product.discription') }}</label><i class="required">&nbsp;*</i>
                                            <textarea id="discription" type="text" class="form-control editor @error('discription') is-invalid @enderror" name="discription" autocomplete="discription">
                                            {{$product->discription}}
                                        </textarea>
                                            @error('discription')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    @include('product::product.include.simpleProduct')
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary" >
                                                {{ __('ثبت محصول') }}
                                            </button>
                                            <a href="{{ route('products.index') }}" type="button" class="btn btn-warning" > انصراف</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent

